"about:" does not display about page

VERIFIED WONTFIX

Status

Camino Graveyard
General
VERIFIED WONTFIX
16 years ago
12 years ago

People

(Reporter: benc, Assigned: saari (gone))

Tracking

Details

(URL)

(Reporter)

Description

16 years ago
STEPS:

while running:
http://www.mozilla.org/quality/networking/testing/coretests.html

click on about:

No result. Probably like the other URL handlers, not implemented.

Comment 1

16 years ago
note that "about:blank" and "about:plugins" work though.

Comment 2

16 years ago
Maybe we're just missing some HTML resource? But we probably don't want to show
that. Perhaps hack it to show the About window?

Comment 3

16 years ago
about:cache and about:mozilla also work.
Summary: about: URL handler seems to be missing → about: does nothing

Comment 4

16 years ago
about:config barfs, because it tries to show a XUL outliner.

We (i.e. mozilla) really need to get a grip on all the ways there are of showing
XUL in the content area, and eliminate them.
if/when this is fixed, could about: show both the build id, as well as the gecko
version?
QA Contact: winnie → sairuh
(Reporter)

Comment 6

16 years ago
WORKAROUND:
use "Navigator | About Navigator"
sounds reasonable.
Re: Comment #2 From Simon Fraser 2002-07-23 23:11

> Perhaps hack it to show the About window?

That would be my suggestion, as long as it's possible.

Re: Comment #4 From Simon Fraser 2002-07-23 23:16

> about:config barfs, because it tries to show a XUL outliner.
> 
> We (i.e. mozilla) really need to get a grip on all the ways there are of
> showing XUL in the content area, and eliminate them.

How difficult would it be to create a NSOutliner(?) that does the same for
about:config? about:config is a nice tool...

Re: Comment #6 From benc@netscape.com 2002-11-06 11:02

> WORKAROUND:
> use "Navigator | About Navigator"

Gecko version and build id aren't always the same, so maybe we should have
"2002111213 (Gecko: 20021112)" in that about window instead. I would prefer the
id's to have dashes (like 2002-11-12-13), btw.

Comment 9

15 years ago
I've filed bug 209070 (without knowing this existed) on about:config "barfing".

It would see to me that morphing this into a tracking bug and filing distinct
bugs on any other about:strings that still don't work properly might help clear
what work is really needed here. Either that or chaging this bug's summary to
reflect what work is left.
(Reporter)

Comment 10

15 years ago
file a separate tracking bug.

I'm the reporter, I have to get bugmail on this bug for life. I test this, so I
only care about this part working.
Summary: about: does nothing → "about:" does not display about page
don't care.
Status: NEW → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → WONTFIX

Updated

12 years ago
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.